diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/bit-serializer.h ns-3.43/src/network/utils/bit-serializer.h
--- ns-3.42/src/network/utils/bit-serializer.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/bit-serializer.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/crc32.cc ns-3.43/src/network/utils/crc32.cc
--- ns-3.42/src/network/utils/crc32.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/crc32.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 PIOTR JURKIEWICZ
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Jurkiewicz <piotr.jerzy.jurkiewicz@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/crc32.h ns-3.43/src/network/utils/crc32.h
--- ns-3.42/src/network/utils/crc32.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/crc32.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 PIOTR JURKIEWICZ
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Jurkiewicz <piotr.jerzy.jurkiewicz@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/data-rate.cc ns-3.43/src/network/utils/data-rate.cc
--- ns-3.42/src/network/utils/data-rate.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/data-rate.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Rajib Bhattacharjea<raj.b@gatech.edu>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/data-rate.h ns-3.43/src/network/utils/data-rate.h
--- ns-3.42/src/network/utils/data-rate.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/data-rate.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2006 Georgia Tech Research Corporation
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Rajib Bhattacharjea<raj.b@gatech.edu>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/drop-tail-queue.cc ns-3.43/src/network/utils/drop-tail-queue.cc
--- ns-3.42/src/network/utils/drop-tail-queue.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/drop-tail-queue.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "drop-tail-queue.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/drop-tail-queue.h ns-3.43/src/network/utils/drop-tail-queue.h
--- ns-3.42/src/network/utils/drop-tail-queue.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/drop-tail-queue.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef DROPTAIL_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/dynamic-queue-limits.cc ns-3.43/src/network/utils/dynamic-queue-limits.cc
--- ns-3.42/src/network/utils/dynamic-queue-limits.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/dynamic-queue-limits.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/dynamic-queue-limits.h ns-3.43/src/network/utils/dynamic-queue-limits.h
--- ns-3.42/src/network/utils/dynamic-queue-limits.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/dynamic-queue-limits.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/error-channel.cc ns-3.43/src/network/utils/error-channel.cc
--- ns-3.42/src/network/utils/error-channel.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/error-channel.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/error-channel.h ns-3.43/src/network/utils/error-channel.h
--- ns-3.42/src/network/utils/error-channel.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/error-channel.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze, Italy
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/error-model.cc ns-3.43/src/network/utils/error-model.cc
--- ns-3.42/src/network/utils/error-model.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/error-model.cc	2024-10-09 16:41:10.072656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 University of Washington
  * Copyright (c) 2013 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *
  * This file incorporates work covered by the following copyright and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/error-model.h ns-3.43/src/network/utils/error-model.h
--- ns-3.42/src/network/utils/error-model.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/error-model.h	2024-10-09 16:41:10.072656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 University of Washington
  * Copyright (c) 2013 ResiliNets, ITTC, University of Kansas
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  *
  * This file incorporates work covered by the following copyright and
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/ethernet-header.cc ns-3.43/src/network/utils/ethernet-header.cc
--- ns-3.42/src/network/utils/ethernet-header.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/ethernet-header.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/ethernet-header.h ns-3.43/src/network/utils/ethernet-header.h
--- ns-3.42/src/network/utils/ethernet-header.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/ethernet-header.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/ethernet-trailer.cc ns-3.43/src/network/utils/ethernet-trailer.cc
--- ns-3.42/src/network/utils/ethernet-trailer.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/ethernet-trailer.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/ethernet-trailer.h ns-3.43/src/network/utils/ethernet-trailer.h
--- ns-3.42/src/network/utils/ethernet-trailer.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/ethernet-trailer.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
@@ -86,7 +75,7 @@
     bool CheckFcs(Ptr<const Packet> p) const;
 
     /**
-     *\return Returns the size of the trailer
+     * \return Returns the size of the trailer
      */
     uint32_t GetTrailerSize() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/flow-id-tag.cc ns-3.43/src/network/utils/flow-id-tag.cc
--- ns-3.42/src/network/utils/flow-id-tag.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/flow-id-tag.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/flow-id-tag.h ns-3.43/src/network/utils/flow-id-tag.h
--- ns-3.42/src/network/utils/flow-id-tag.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/flow-id-tag.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/generic-phy.h ns-3.43/src/network/utils/generic-phy.h
--- ns-3.42/src/network/utils/generic-phy.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/generic-phy.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c)  2010 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/inet6-socket-address.cc ns-3.43/src/network/utils/inet6-socket-address.cc
--- ns-3.42/src/network/utils/inet6-socket-address.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/inet6-socket-address.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007-2008 Louis Pasteur University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/inet6-socket-address.h ns-3.43/src/network/utils/inet6-socket-address.h
--- ns-3.42/src/network/utils/inet6-socket-address.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/inet6-socket-address.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007-2008 Louis Pasteur University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/inet-socket-address.cc ns-3.43/src/network/utils/inet-socket-address.cc
--- ns-3.42/src/network/utils/inet-socket-address.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/inet-socket-address.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/inet-socket-address.h ns-3.43/src/network/utils/inet-socket-address.h
--- ns-3.42/src/network/utils/inet-socket-address.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/inet-socket-address.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/ipv4-address.cc ns-3.43/src/network/utils/ipv4-address.cc
--- ns-3.42/src/network/utils/ipv4-address.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/ipv4-address.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -28,6 +17,7 @@
 #include <WS2tcpip.h>
 #else
 #include <arpa/inet.h>
+#include <sys/socket.h>
 #endif
 
 namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/ipv4-address.h ns-3.43/src/network/utils/ipv4-address.h
--- ns-3.42/src/network/utils/ipv4-address.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/ipv4-address.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2005 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/ipv6-address.cc ns-3.43/src/network/utils/ipv6-address.cc
--- ns-3.42/src/network/utils/ipv6-address.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/ipv6-address.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007-2008 Louis Pasteur University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Vincent <vincent@clarinet.u-strasbg.fr>
  */
@@ -33,6 +22,7 @@
 #include <WS2tcpip.h>
 #else
 #include <arpa/inet.h>
+#include <sys/socket.h>
 #endif
 
 namespace ns3
